=== modified file 'README'
--- README	2009-02-16 19:39:46 +0000
+++ README	2009-02-18 18:36:18 +0000
@@ -134,48 +134,6 @@
     the second for when you don't need an ``orig.tar.gz`` so they make no sense
     to be used together.
 
-  * ``export-upstream = path``
-
-    This option takes a path (remote or local) to a bzr branch that contains
-    the upstream code. If this is set then the plugin will export the code
-    from that branch to create the ``.orig.tar.gz``. This option only has any
-    effect if ``merge`` is set, and causes any ``orig-dir`` setting to be
-    ignored.
-
-Interaction with an upstream branch
-###################################
-
-When the upstream source is in ``bazaar`` and you use the ``export-upstream``
-mode then these options control how the plugin interacts with the upstream
-branch.
-
-  * ``export-upstream-revision = revision``
-
-    This sets the revision that the upstream code will be branched at. It takes
-    the same revision spec as the normal --revision parameter. Use it to
-    associate an upstream version number with a particular revision of the
-    upstream code. This has no effect if ``export-upstream`` is not set.
-
-  * ``export-upstream-prepull = True``
-
-    This allows for the case where you want to use a local mirror of the
-    upstream source, but want to build automatically. It does a pull in the
-    local branch before exporting it. It is your responsibility to setup
-    the default pull location for the branch. It probably doesn't make too
-    much sense to use this option with the ``export-upstream-revision`` one
-    as this will change the tip, but then wont use it. However this is allowed.
-    This option only has an effect if ``export-upstream`` is set. Also note
-    that this option cannot be used when ``export-upstream`` is set to a 
-    remote branch. [Not a command line option.]
-
-  * ``export-upstream-stop-on-trivial-pull = True``
-
-    This allows you to stop the build if the upstream pull doesn't pull any
-    revisions. It is designed for automated builds where you don't want
-    to bother building if there have been no changes. It has no effect unless
-    the ``export-upstream-prepull`` option is true. [Not a command line
-    option.]
-
 Builders
 ########
 
@@ -251,17 +209,6 @@
 but you do have a ``watch`` file detailing where it can be found then the
 plugin will automatically retrieve the tarballs as they are needed.
 
-If upstream holds their code in a bzr branch then you don't need to create the
-tarballs yourself, you can instead have the plugin export the upstream code and
-create the tarball itself using the ``export-upstream`` option. You need to be
-careful with this, as if you do not change the upstream version in the
-``debian/changelog`` and upstream makes some commits then the ``.orig.tar.gz``
-will change without being reflected in the version number. This can be
-disastorous if it happens across uploads of the package. Use
-``export-upstream-revision`` to avoid this.  You might be especially interested
-in the ``use-existing`` flag to the plugin to save having to branch the
-upstream code every build. You might also want to make a local mirror.
-
 Now create the branch for the ``debian/`` directory::
 
   $ bzr init project

=== modified file 'builder.py'
--- builder.py	2009-02-18 18:02:01 +0000
+++ builder.py	2009-02-18 18:36:18 +0000
@@ -66,61 +66,6 @@
   remove_dir(dir, "debian")
 
 
-class UpstreamExporter(object):
-
-  def __init__(self, branch, dest, tarball_base, export_prepull=False,
-               export_revision=None, stop_on_no_change=False):
-    self.branch = branch
-    self.dest = dest
-    self.tarball_base = tarball_base
-    self.export_prepull = export_prepull
-    self.export_revision = export_revision
-    self.stop_on_no_change = stop_on_no_change
-
-  def export(self):
-    if self.export_prepull:
-      try:
-        tree_to = WorkingTree.open(self.branch)
-        branch_to = tree_to.branch
-      except NoWorkingTree:
-        tree_to = None
-        branch_to = Branch.open(self.branch)
-      location = branch_to.get_parent()
-      if location is None:
-        raise DebianError('No default pull location for '+self.branch+ \
-                          ', run "bzr pull location" in that branch to set ' \
-                          'one up')
-      branch_from = Branch.open(location)
-      info('Pulling the upstream branch.')
-      if branch_from.last_revision() == branch_to.last_revision():
-        if self.stop_on_no_change:
-          raise StopBuild('No changes to upstream branch')
-        info('Nothing to pull')
-      else:
-        if tree_to is not None:
-          count = tree_to.pull(branch_from)
-        else:
-          count = branch_to.pull(branch_from)
-        info('Pulled %d revision(s).', int(count))
-      b = branch_to
-    else:
-      b = Branch.open(self.branch)
-
-    if self.export_revision is None:
-      rev_id = b.last_revision()
-    else:
-      rev_spec = RevisionSpec.from_string(self.export_revision)
-      rev_id = rev_spec.in_history(b).rev_id
-
-    info('Exporting upstream source from %s, revision %s',
-         self.branch, rev_id)
-
-    t = b.repository.revision_tree(rev_id)
-    info(self.tarball_base)
-    export(t, self.dest, 'tgz', self.tarball_base)
-    return True
-
-
 def move_file(src, dest):
     base = os.path.basename(src)
     target = os.path.join(dest, base)
@@ -410,29 +355,6 @@
         +" release. If you do not release it...")
 
 
-class DebExportUpstreamBuild(DebBuild):
-
-  def __init__(self, properties, tree, export_upstream, export_revision,
-               export_prepull, stop_on_no_change, _is_working_tree=False):
-    DebBuild.__init__(self, properties, tree,
-                      _is_working_tree=_is_working_tree)
-    build_dir = self._properties.build_dir()
-    dest = os.path.join(build_dir, self._tarball_name())
-    tarball_base = self._properties.source_dir(False)
-    self.exporter = UpstreamExporter(export_upstream, dest, tarball_base,
-                                     export_prepull=export_prepull,
-                                     export_revision=export_revision,
-                                     stop_on_no_change=stop_on_no_change,
-                                     )
-
-  def _export_upstream_branch(self):
-    return self.exporter.export()
-
-  def _find_tarball(self):
-    build_dir = self._properties.build_dir()
-    return os.path.join(build_dir, self._tarball_name())
-
-
 class DebMergeBuild(DebBuild):
   """A subclass of DebBuild that uses the merge method."""
 
@@ -537,28 +459,4 @@
       tree.unlock()
     remove_bzrbuilddeb_dir(source_dir)
 
-class DebMergeExportUpstreamBuild(DebMergeBuild):
-  """Subclass of DebMergeBuild that will export an upstream branch to
-     .orig.tar.gz before building."""
-
-  def __init__(self, properties, tree, export_upstream, export_revision,
-               export_prepull, stop_on_no_change, _is_working_tree=False):
-    DebMergeBuild.__init__(self, properties, tree,
-                           _is_working_tree=_is_working_tree)
-    build_dir = self._properties.build_dir()
-    dest = os.path.join(build_dir, self._tarball_name())
-    tarball_base = self._properties.source_dir(False)
-    self.exporter = UpstreamExporter(export_upstream, dest, tarball_base,
-                                     export_prepull=export_prepull,
-                                     export_revision=export_revision,
-                                     stop_on_no_change=stop_on_no_change,
-                                     )
-
-  def _export_upstream_branch(self):
-    return self.exporter.export()
-
-  def _find_tarball(self):
-    build_dir = self._properties.build_dir()
-    return os.path.join(build_dir, self._tarball_name())
-
 # vim: ts=2 sts=2 sw=2

=== modified file 'cmds.py'
--- cmds.py	2009-02-18 18:02:01 +0000
+++ cmds.py	2009-02-18 18:36:18 +0000
@@ -58,8 +58,6 @@
                      DebMergeBuild,
                      DebNativeBuild,
                      DebSplitBuild,
-                     DebMergeExportUpstreamBuild,
-                     DebExportUpstreamBuild,
                      )
 from bzrlib.plugins.builddeb.config import DebBuildConfig
 from bzrlib.plugins.builddeb.errors import (StopBuild,
@@ -311,7 +309,6 @@
             result_dir=None, builder=None, merge=False, build_dir=None,
             orig_dir=None, ignore_changes=False, ignore_unknowns=False,
             quick=False, reuse=False, native=False, split=False,
-            export_upstream=None, export_upstream_revision=None,
             source=False, revision=None, no_user_config=False, result=None):
         branch, build_options, source = self._branch_and_build_options(
                 branch_or_build_options_list, source)
@@ -330,42 +327,18 @@
             (changelog, larstiq) = find_changelog(tree, merge)
             config.set_version(changelog.version)
 
-            if export_upstream is None:
-                export_upstream = config.export_upstream
-
-            if export_upstream_revision is None:
-                export_upstream_revision = config.export_upstream_revision
-
             result_dir, build_dir, orig_dir = self._get_dirs(config, is_local,
                     result_dir, result, build_dir, orig_dir)
             properties = BuildProperties(changelog, build_dir, orig_dir, larstiq)
 
             if merge:
-                if export_upstream is None:
-                    build = DebMergeBuild(properties, tree, _is_working_tree=working_tree)
-                else:
-                    prepull_upstream = config.prepull_upstream
-                    stop_on_no_change = config.prepull_upstream_stop
-                    build = DebMergeExportUpstreamBuild(properties, tree, export_upstream,
-                                                        export_upstream_revision,
-                                                        prepull_upstream,
-                                                        stop_on_no_change,
-                                                        _is_working_tree=working_tree)
+                build = DebMergeBuild(properties, tree, _is_working_tree=working_tree)
             elif native:
                 build = DebNativeBuild(properties, tree, _is_working_tree=working_tree)
             elif split:
                 build = DebSplitBuild(properties, tree, _is_working_tree=working_tree)
             else:
-                if export_upstream is None:
-                    build = DebBuild(properties, tree, branch, _is_working_tree=working_tree)
-                else:
-                    prepull_upstream = config.prepull_upstream
-                    stop_on_no_change = config.prepull_upstream_stop
-                    build = DebExportUpstreamBuild(properties, tree, export_upstream,
-                                                   export_upstream_revision,
-                                                   prepull_upstream,
-                                                   stop_on_no_change,
-                                                   _is_working_tree=working_tree)
+                build = DebBuild(properties, tree, branch, _is_working_tree=working_tree)
 
             build.prepare(use_existing)
 
@@ -706,19 +679,8 @@
         if orig_dir is None:
             orig_dir = default_orig_dir
         properties = BuildProperties(changelog, build_dir, orig_dir, larstiq)
-        export_upstream = config.export_upstream
-        export_upstream_revision = config.export_upstream_revision
 
-        if export_upstream is None:
-            build = DebMergeBuild(properties, t, _is_working_tree=True)
-        else:
-            prepull_upstream = config.prepull_upstream
-            stop_on_no_change = config.prepull_upstream_stop
-            build = DebMergeExportUpstreamBuild(properties, t, export_upstream,
-                                                export_upstream_revision,
-                                                prepull_upstream,
-                                                stop_on_no_change,
-                                                _is_working_tree=True)
+        build = DebMergeBuild(properties, t, _is_working_tree=True)
 
         build.prepare()
         try:

=== modified file 'config.py'
--- config.py	2009-02-18 09:39:17 +0000
+++ config.py	2009-02-18 18:36:18 +0000
@@ -80,8 +80,6 @@
     None
     >>> print c.merge
     True
-    >>> print c.export_upstream
-    localexport
     >>> print c.build_dir
     defaultbuild
     >>> print c.result_dir
@@ -242,30 +240,6 @@
 
   split = _bool_property('split', "Split a full source package")
 
-  export_upstream = _opt_property('export-upstream',
-                         "Get the upstream source from another branch")
-
-  prepull_upstream = _bool_property('export-upstream-prepull',
-                         "Pull the upstream branch before exporting it.")
-
-  prepull_upstream_stop = _bool_property('export-upstream-stop-on-trivial-pull',
-                         "Stop the build if the upstream pull does nothing.")
-
-  def _get_export_upstream_revision(self):
-    rev = None
-    if self.version is not None:
-      rev = get_snapshot_revision(str(self.version.upstream_version))
-    if rev is None:
-      rev = self._get_best_opt('export-upstream-revision')
-      if rev is not None and self.version is not None:
-        rev = rev.replace('$UPSTREAM_VERSION',
-                          str(self.version.upstream_version))
-    return rev
-
-  export_upstream_revision = property(_get_export_upstream_revision, None,
-                         None,
-                         "The revision of the upstream branch to export.")
-
 def _test():
   import doctest
   doctest.testmod()

=== modified file 'debian/NEWS'
--- debian/NEWS	2009-02-17 16:47:07 +0000
+++ debian/NEWS	2009-02-18 18:36:18 +0000
@@ -11,6 +11,13 @@
     - upstream-debian-<version> or upstream-ubuntu-<version> become
       upstream-<version>
 
+  * export-upstream mode has been deprected in favour of using merge-upstream.
+    Where you once used export-upstream to export the tarball to build against
+    then now use merge-upstream against the branch to merge the code. pristine-tar
+    integration will then ensure the tarball is available at build time, without
+    the problems that export-upstream had. If the merge-upstream does not give
+    any conflicts then you can commit and test-build.
+
  -- James Westby <james.westby@ubuntu.com>  Mon, 16 Feb 2009 16:11:44 +0000
 
 bzr-builddeb (2.0) unstable; urgency=low

=== modified file 'debian/changelog'
--- debian/changelog	2009-02-18 09:46:20 +0000
+++ debian/changelog	2009-02-18 18:36:18 +0000
@@ -26,6 +26,7 @@
     a much better situation.
   * Update the changelog after merge-upstream, rather than telling the user
     exactly what to run. (LP: #296516)
+  * Remove export-upstream mode in favour of merge-upstream, see NEWS.Debian.
 
   [ Kees Cook ]
   * builder.py: switch to using external tar command to replace buggy

=== modified file 'doc/user_manual/configuration.rst'
--- doc/user_manual/configuration.rst	2009-02-16 19:39:46 +0000
+++ doc/user_manual/configuration.rst	2009-02-18 18:36:18 +0000
@@ -90,50 +90,6 @@
 .. _native mode: native.html
 .. _split mode: split.html
 
-Interaction with an upstream branch
-^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
-
-When the upstream source is in ``bazaar`` it is possible to have the
-``.orig.tar.gz`` created by exporting the upstream branch. To do this set
-the ``export-upstream`` option. This only works for normal and merge modes.
-
-  * ``export-upstream = path``
-
-    This option takes a path (remote or local) to a bzr branch that contains
-    the upstream code. If this is set then the plugin will export the code
-    from that branch to create the ``.orig.tar.gz``. This option only has no
-    effect if ``native`` or ``split`` is set, and causes any ``orig-dir``
-    setting to be ignored. See `export-upstream mode`.
-
-  * ``export-upstream-revision = revision``
-
-    This sets the revision that the upstream code will be branched at. It takes
-    the same revision spec as the normal --revision parameter. Use it to
-    associate an upstream version number with a particular revision of the
-    upstream code. This has no effect if ``export-upstream`` is not set.
-
-  * ``export-upstream-prepull = True``
-
-    This allows for the case where you want to use a local mirror of the
-    upstream source, but want to build automatically. It does a pull in the
-    local branch before exporting it. It is your responsibility to setup
-    the default pull location for the branch. It probably doesn't make too
-    much sense to use this option with the ``export-upstream-revision`` one
-    as this will change the tip, but then won't use it. However this is allowed.
-    This option only has an effect if ``export-upstream`` is set. Also note
-    that this option cannot be used when ``export-upstream`` is set to a 
-    remote branch. [Not a command line option.]
-
-  * ``export-upstream-stop-on-trivial-pull = True``
-
-    This allows you to stop the build if the upstream pull doesn't pull any
-    revisions. It is designed for automated builds where you don't want
-    to bother building if there have been no changes. It has no effect unless
-    the ``export-upstream-prepull`` option is true. [Not a command line
-    option.]
-
-.. _export-upstream mode: export_upstream.html
-
 Builders
 ^^^^^^^^
 

=== removed file 'doc/user_manual/export_upstream.rst'
--- doc/user_manual/export_upstream.rst	2008-05-15 14:57:41 +0000
+++ doc/user_manual/export_upstream.rst	1970-01-01 00:00:00 +0000
@@ -1,131 +0,0 @@
-Export-upstream mode
---------------------
-
-Export-upstream mode is for use when upstream uses Bazaar for their revision
-control, and does not make release tarballs that you can build against. It
-creates an upstream tarball for you from the upstream branch, and then uses
-that in the build.
-
-This mode is also useful for automated builds of a package against an
-upstream Bazaar branch at regular intervals, as it can be configured to just
-build the latest version at the time the command is run.
-
-This mode should also work against an upstream branch in another version
-control system that Bazaar has native branch support for if you have the
-appropriate plugin installed. Notably it is reported to work against an SVN
-repository if `bzr-svn`_ is installed.
-
-.. _bzr-svn: https://launchpad.net/bzr-svn/
-
-Setting up the package
-######################
-
-To set up the package to use this mode you must first set it up in either
-`normal` or `merge` modes. The following instructions only deal with
-converting a package from one of these modes.
-
-.. _normal: normal.html
-.. _merge: merge.html
-
-Creating a New Package
-^^^^^^^^^^^^^^^^^^^^^^
-
-Once you have created your package you need to tell `bzr-builddeb` that you
-wish to use export-upstream mode for the package.  This is again a matter of
-editing the configuration file. The first value you need to set is the
-``export-upstream`` value. When this value is given then it enables
-export-upstream mode. The value that you set for this should be the URI of
-the branch that you wish to build against. This can be any URI or path, as
-you would use for ``bzr branch``. The second value to set is
-``export-upstream-revision``. This is the revision of the upstream branch
-that you would like to build the package against. It can be specified in any
-format that can be passed to a ``--r`` argument to a Bazaar command. This
-includes revision numbers, revision ids prefixed by ``revid:``, or tags
-prefixed by ``tag:``. See ``bzr help revisionspec`` for all of the values that
-can be used here. Note that using a revision number may be unstable, it is
-better to look up the revision id and use that instead, or use a tag if there
-is one present.
-
-A typical configuration file for normal mode would then look like::
-
-  [BUILDDEB]
-  export-upstream = http://scruff.org/bzr/scruff.dev/
-  export-upstream-revision = tag:scruff-0.1
-
-and for merge mode::
-
-  [BUILDDEB]
-  merge = True
-  export-upstream = http://scruff.org/bzr/scruff.dev/
-  export-upstream-revision = tag:scruff-0.1
-
-It can be expensive to pull the revision from a remote location, and so it
-is possible to use a local mirror. The value of ``export-upstream`` in
-``.bzr-builddeb/default.conf`` should still be set to a public branch as
-above though, for people that wish to build the package, but do not have a
-local mirror.  What you should do instead is set ``export-upstream`` to your
-local mirror in ``.bzr-builddeb/local.conf``, like::
-
-  [BUILDDEB]
-  export-upstream = /home/user/work/scruff/trunk/
-
-See `Configuration Files`_ for more information.
-
-.. _Configuration Files: configuration.html
-
-New upstream version
-####################
-
-To update to a new upstream version you need to do three things. The first
-of these is to tell `bzr-builddeb` to build against the new version of the
-upstream code. To do this edit ``.bzr-builddeb/default.conf`` and set
-``export-upstream-revision`` to the revision of the new version of the code
-that you want to build.
-
-The next step is to update the version recorded in ``debian/changelog``. The
-``dch`` tool from ``devscripts`` can help you here, to update to version
-``0.2`` you can run::
-
-  $ dch -v 0.2-1
-
-The last step is to adapt the packaging to any changes in the upstream code.
-If you are using merge mode then this section in the documentation of
-`merge mode`_ may be useful here.
-
-.. _merge mode: merge.html
-
-Once you have completed the three steps you can commit the new version and
-build the package. `bzr-builddeb` will see that there is a new version and
-export the new revision of the upstream branch to create the upstream
-tarball.
-
-In order to make this process easier in the future it is possible to use tags
-to automatically pick the correct upstream revision. To do this you (or
-upstream) need to tag the upstream releases with a consistent scheme that
-incorporates the release number in to it. For instance for the ``0.3``
-release of scruff you could run::
-
-  bzr tag scruff-0.3
-
-in the upstream branch. If you then set ``export-upstream-revision`` in the
-configuration file according to this tag scheme, using the special variable
-``$UPSTREAM_VERSION`` then the correct revision can be inferred::
-
-  export-upstream-revision = tag:scruff-$UPSTREAM_VERSION
-
-This means that when `bzr-builddeb` tries to build a package it will look for
-the tag by substituting in the upstream version it is looking for, for
-instance building version ``0.3-3`` will look for the tag ``scruff-0.3`` and
-find the tag we created previously.
-
-Note that this variable substitution only occurs from the configuration file,
-and does not work if this option is passed on the command line.
-
-It is possible to export a snapshot of the upstream by appending ``~bzr``
-and a revision number to the upstream version. For example, using version 
-``0.1~bzr42-1`` in the changelog would export revision 42 in the upstream
-branch. A similar directive exists for Subversion revision numbers. E.g. 
-``0.1~svn42-1`` would export Subversion revision 42.
-
-.. vim: set ft=rst tw=76 :
-

=== modified file 'doc/user_manual/index.rst'
--- doc/user_manual/index.rst	2007-09-16 19:40:35 +0000
+++ doc/user_manual/index.rst	2009-02-18 18:36:18 +0000
@@ -44,14 +44,12 @@
   * `Normal mode`_
   * `Native mode`_
   * `Merge mode`_
-  * `Export-upstream mode`_
   * `Split mode`_
 
 .. _Normal mode: normal.html
 .. _Merge mode: merge.html
 .. _Native mode: native.html
 .. _Split mode: split.html
-.. _Export-upstream mode: export_upstream.html
 
 The remainder of the documentation explains general features of the package.
 These sections are

=== modified file 'doc/user_manual/mode_selector.rst'
--- doc/user_manual/mode_selector.rst	2007-09-15 13:06:13 +0000
+++ doc/user_manual/mode_selector.rst	2009-02-18 18:36:18 +0000
@@ -13,33 +13,21 @@
 
 2. Are you also the upstream maintainer?
 
-  * Yes? Go to question 5.
+  * Yes? Go to question 4.
   * No? Go to question 3.
 
-3. Does upstream have their code in Bazaar?
-
-  * Yes? Go to question 6.
-  * No? Go to question 4.
-
-4. Do you want to store only the ``debian/`` directory?
+3. Do you want to store only the ``debian/`` directory?
 
   * Yes? You should use `Merge mode`_.
   * No? You should use `Normal mode`_.
 
-5. Would you like to maintain a separate branch for your packaging work?
+4. Would you like to maintain a separate branch for your packaging work?
 
-  * Yes? Go to question 4.
+  * Yes? Go to question 3.
   * No? You should use `Split mode`_.
 
-6. Does upstream make releases as tarballs?
-
-  * Yes? Go to question 4.
-  * No? You should use `Export-upstream mode`_. Answer question 4 to see
-    if you would like to use the Normal or Merge variant of this.
-
 .. _Normal mode: normal.html
 .. _Merge mode: merge.html
 .. _Native mode: native.html
 .. _Split mode: split.html
-.. _Export-upstream mode: export_upstream.html
 

=== modified file 'doc/user_manual/split.rst'
--- doc/user_manual/split.rst	2008-03-21 17:58:56 +0000
+++ doc/user_manual/split.rst	2009-02-18 18:36:18 +0000
@@ -15,13 +15,11 @@
 This mode is a mixture of most of the other modes. You have the upstream
 code and the packaging in the same branch like `normal mode`_ and
 `native mode`_, but the only packaging changes can be in the ``debian/``
-directory, like `merge mode`_. It also saves you having to manually create
-an upstream tarball, like `export-upstream mode`_.
+directory, like `merge mode`_.
 
 .. _normal mode: normal.html
 .. _native mode: native.html
 .. _merge mode: merge.html
-.. _export-upstream mode: export_upstream.html
 
 Setting up the package
 ######################

=== modified file 'local.conf'
--- local.conf	2007-01-17 21:07:14 +0000
+++ local.conf	2009-02-18 18:36:18 +0000
@@ -1,3 +1,2 @@
 [BUILDDEB]
-export-upstream = localexport
 builder = localbuilder

=== modified file 'tests/blackbox/test_builddeb.py'
--- tests/blackbox/test_builddeb.py	2008-08-27 12:13:34 +0000
+++ tests/blackbox/test_builddeb.py	2009-02-18 18:36:18 +0000
@@ -142,27 +142,4 @@
     self.failUnlessExists('pre-export')
     self.assertInBuildDir(['pre-build', 'post-build'])
 
-  def test_export_upstream_uses_variable_upstream_version(self):
-    """Check that $UPSTREAM_VERSION is supported in export upstream."""
-    tree = self.make_unpacked_source()
-    upstream = self.make_branch_and_tree('upstream')
-    self.build_tree(['upstream/a'])
-    upstream.add(['a'])
-    upstream.commit('one')
-    upstream.branch.tags.set_tag('test-0.1', upstream.branch.last_revision())
-    self.build_tree(['upstream/b'])
-    upstream.add(['b'])
-    upstream.commit('two')
-    os.mkdir('.bzr-builddeb/')
-    f = open('.bzr-builddeb/default.conf', 'wb')
-    try:
-      f.write('[BUILDDEB]\nmerge = True\nexport-upstream = upstream\n')
-      f.write('export-upstream-revision = tag:test-$UPSTREAM_VERSION\n')
-    finally:
-      f.close()
-    self.run_bzr('add .bzr-builddeb/default.conf')
-    self.run_bzr('bd --no-user-conf --dont-purge --builder true')
-    self.assertInBuildDir(['a'])
-    self.assertNotInBuildDir(['b'])
-
 # vim: ts=2 sts=2 sw=2

=== modified file 'tests/blackbox/test_do.py'
--- tests/blackbox/test_do.py	2008-08-27 16:59:55 +0000
+++ tests/blackbox/test_do.py	2009-02-18 18:36:18 +0000
@@ -172,19 +172,4 @@
       os.environ['SHELL'] = old_shell
     self.failUnlessExists('debian/shell')
 
-  def test_export_upstream(self):
-    tree = self.make_unpacked_source()
-    self.make_merge_mode_config(tree)
-    f = open('.bzr-builddeb/default.conf', 'ab')
-    try:
-      f.write('export-upstream = upstream\n')
-    finally:
-      f.close()
-    upstream = self.make_branch_and_tree('upstream')
-    self.build_tree(['upstream/a'])
-    upstream.add(['a'])
-    upstream.commit('one')
-    self.run_bzr(['bd-do', 'mkdir debian/dir'])
-    self.failUnlessExists('debian/dir')
-
 # vim: ts=2 sts=2 sw=2

=== modified file 'tests/test_builder.py'
--- tests/test_builder.py	2008-11-27 21:49:47 +0000
+++ tests/test_builder.py	2009-02-18 18:36:18 +0000
@@ -41,9 +41,6 @@
                      DebNativeBuild,
                      DebSplitBuild,
                      DebMergeBuild,
-                     DebMergeExportUpstreamBuild,
-                     DebExportUpstreamBuild,
-                     UpstreamExporter,
                      )
 from bzrlib.plugins.builddeb import errors
 from bzrlib.plugins.builddeb.properties import BuildProperties
@@ -753,262 +750,4 @@
     self.failUnlessExists(join(self.source_dir, 'a'))
 
 
-class TestMergeExportUpstreamBuilder(BuilderTestCase):
-
-  upstream_branch = 'upstream'
-  upstream_parent = 'parent'
-
-  def get_builder(self, wt=None, version=None, larstiq=False,
-                  export_revision=None, export_prepull=False,
-                  stop_on_no_change=False):
-    if wt is None:
-      wt = self.make_branch_and_tree('.')
-    changelog = self.make_changelog(version=version)
-    properties = self.make_properties(changelog, larstiq)
-    return DebMergeExportUpstreamBuild(properties, wt, self.upstream_branch,
-                                       export_revision, export_prepull,
-                                       stop_on_no_change,
-                                       _is_working_tree=True)
-
-  def test__find_tarball(self):
-    """Test that the tarball is located in the build dir."""
-    builder = self.get_builder()
-    self.assertEqual(builder._find_tarball(), join(self.build_dir,
-                     self.tarball_name))
-
-  def make_upstream_branch(self):
-    """Make the upstream branch that will be exported."""
-    wt = self.make_branch_and_tree(self.upstream_branch)
-    files = ['a', 'dir/', 'dir/b']
-    newfiles = [join(self.upstream_branch, f) for f in files]
-    self.build_tree(newfiles)
-    wt.add(files)
-    wt.commit('commit one', rev_id='rev1')
-    self.build_tree([join(self.upstream_branch, 'c')])
-    wt.add('c')
-    wt.commit('commit two', rev_id='rev2')
-    self.build_tree([join(self.upstream_branch, f) for f in
-                                          ['added', 'unknown']])
-    wt.add('added')
-
-  def test_export_has_correct_file(self):
-    """A check that the top level export works as expected,"""
-    builder = self.get_builder()
-    self.make_upstream_branch()
-    builder.prepare()
-    builder.export()
-    for f in ['a', 'dir', 'dir/b', 'c']:
-      self.failUnlessExists(join(self.source_dir, f))
-
-
-class TestDefaultExportUpstreamBuilder(BuilderTestCase):
-
-  upstream_branch = 'upstream'
-  upstream_parent = 'parent'
-
-  def get_builder(self, wt=None, version=None, larstiq=False,
-                  export_revision=None, export_prepull=False,
-                  stop_on_no_change=False):
-    if wt is None:
-      wt = self.make_branch_and_tree('.')
-    changelog = self.make_changelog(version=version)
-    properties = self.make_properties(changelog, larstiq)
-    return DebExportUpstreamBuild(properties, wt, self.upstream_branch,
-                                  export_revision, export_prepull,
-                                  stop_on_no_change,
-                                  _is_working_tree=True)
-
-  def test__find_tarball(self):
-    """Test that the tarball is located in the build dir."""
-    builder = self.get_builder()
-    self.assertEqual(builder._find_tarball(), join(self.build_dir,
-                     self.tarball_name))
-
-  def make_upstream_branch(self):
-    """Make the upstream branch that will be exported."""
-    wt = self.make_branch_and_tree(self.upstream_branch)
-    files = ['a', 'dir/', 'dir/b']
-    newfiles = [join(self.upstream_branch, f) for f in files]
-    self.build_tree(newfiles)
-    wt.add(files)
-    wt.commit('commit one', rev_id='rev1')
-    self.build_tree([join(self.upstream_branch, 'c')])
-    wt.add('c')
-    wt.commit('commit two', rev_id='rev2')
-    self.build_tree([join(self.upstream_branch, f) for f in
-                                          ['added', 'unknown']])
-    wt.add('added')
-
-  def test_export_has_correct_file(self):
-    """A check that the top level export works as expected,"""
-    wt = self.make_branch_and_tree('.')
-    f = open('a', 'wb')
-    try:
-      f.write('branch\n')
-    finally:
-      f.close()
-    wt.add('a')
-    builder = self.get_builder(wt)
-    self.make_upstream_branch()
-    builder.prepare()
-    builder.export()
-    self.assertFileEqual('branch\n', join(self.source_dir, 'a'))
-    self.failIfExists(join(self.source_dir, 'dir'))
-
-
-class TestUpstreamExporter(BuilddebTestCase):
-
-  upstream_branch = 'upstream'
-  upstream_parent = 'parent'
-  tarball = 'upstream.tar.gz'
-  basedir = 'test-0.1'
-
-  def make_upstream_branch(self, parent=None):
-    """Make the upstream branch that will be exported."""
-    wt = self.make_branch_and_tree(self.upstream_branch)
-    files = ['a', 'dir/', 'dir/b']
-    newfiles = [join(self.upstream_branch, f) for f in files]
-    self.build_tree(newfiles)
-    wt.add(files)
-    wt.commit('commit one', rev_id='rev1')
-    self.build_tree([join(self.upstream_branch, 'c')])
-    wt.add('c')
-    wt.commit('commit two', rev_id='rev2')
-    self.build_tree([join(self.upstream_branch, f) for f in
-                                          ['added', 'unknown']])
-    wt.add('added')
-    if parent is not None:
-      wt.branch.set_parent(parent)
-    self._upstream_tree = wt
-    return wt
-
-  def make_upstream_parent_no_changes(self):
-    """Makes the upstream parent by just sprouting it off the upstream."""
-    upstream = self._upstream_tree
-    upstream.branch.bzrdir.sprout(os.path.abspath(self.upstream_parent))
-
-  def make_upstream_parent_changes(self):
-    """Makes the upstream parent and adds a commit."""
-    self.make_upstream_parent_no_changes()
-    parent_location = os.path.abspath(self.upstream_parent)
-    parent = WorkingTree.open_containing(parent_location)[0]
-    self.build_tree([join(self.upstream_parent, 'parent'),
-                     join(self.upstream_parent, 'parent2')])
-    parent.add(['parent'])
-    parent.commit('parent commit 1', rev_id='parent1')
-    parent.add(['parent2'])
-    parent.commit('parent commit 2', rev_id='parent2')
-
-  def get_exporter(self, export_prepull=False, stop_on_no_change=False,
-                   export_revision=None):
-    path = self.upstream_branch
-    return UpstreamExporter(path, self.tarball, self.basedir,
-                            export_prepull=export_prepull,
-                            stop_on_no_change=stop_on_no_change,
-                            export_revision=export_revision)
-
-  def test_exporter_errors_export_prepull_no_default(self):
-    """Test that the export_prepull fails if the default location is not set."""
-    wt = self.make_upstream_branch()
-    exporter = self.get_exporter(export_prepull=True)
-    self.assertRaises(errors.DebianError, exporter.export)
-
-  def test_exporter_errors_invalid_parent(self):
-    """Test that the export_prepull fails if the parent doesn't exist."""
-    wt = self.make_upstream_branch(parent='invalid')
-    exporter = self.get_exporter(export_prepull=True)
-    self.assertRaises(NotBranchError, exporter.export)
-
-  def test_exporter_stops_on_trivial(self):
-    """Test that StopBuild is raised if there are no changes to pull."""
-    wt = self.make_upstream_branch(parent=
-        os.path.abspath(self.upstream_parent))
-    exporter = self.get_exporter(export_prepull=True,
-                                 stop_on_no_change=True)
-    self.make_upstream_parent_no_changes()
-    self.assertRaises(errors.StopBuild, exporter.export)
-
-  def test_exporter_doesnt_stop_on_trivial(self):
-    """Test that the build normally doesn't stop if there is nothing to do."""
-    wt = self.make_upstream_branch(parent=
-        os.path.abspath(self.upstream_parent))
-    exporter = self.get_exporter(export_prepull=True)
-    self.make_upstream_parent_no_changes()
-    exporter.export()
-
-  def test_exporter_doesnt_stop_on_changes(self):
-    """Test the the build doesn't stop if there is something to do."""
-    wt = self.make_upstream_branch(
-        parent=os.path.abspath(self.upstream_parent))
-    exporter = self.get_exporter(export_prepull=True,
-                                 stop_on_no_change=True)
-    self.make_upstream_parent_changes()
-    exporter.export()
-
-  def test_exporter_has_correct_files(self):
-    """Test that the upstream tarball has the correct files."""
-    wt = self.make_upstream_branch()
-    exporter = self.get_exporter()
-    exporter.export()
-    self.failUnlessExists(self.tarball)
-    expected = ['a', 'dir/', 'dir/b', 'c']
-    self.check_tarball_contents(self.tarball, expected, basedir=self.basedir,
-                                skip_basedir=True)
-
-  def test_exporter_has_correct_files_pull_no_changes(self):
-    """Test that the upstream tarball has the correct files."""
-    wt = self.make_upstream_branch(parent=
-         os.path.abspath(self.upstream_parent))
-    exporter = self.get_exporter(export_prepull=True)
-    self.make_upstream_parent_no_changes()
-    exporter.export()
-    self.failUnlessExists(self.tarball)
-    expected = ['a', 'dir/', 'dir/b', 'c']
-    self.check_tarball_contents(self.tarball, expected, basedir=self.basedir,
-                                skip_basedir=True)
-
-  def test_exporter_has_correct_files_pull_changes(self):
-    """Test that the upstream tarball has the correct files."""
-    wt = self.make_upstream_branch(parent=
-        os.path.abspath(self.upstream_parent))
-    exporter = self.get_exporter(export_prepull=True)
-    self.make_upstream_parent_changes()
-    exporter.export()
-    self.failUnlessExists(self.tarball)
-    expected = ['a', 'dir/', 'dir/b', 'c', 'parent', 'parent2']
-    self.check_tarball_contents(self.tarball, expected, basedir=self.basedir,
-                                skip_basedir=True)
-
-  def test_exporter_selects_correct_revision(self):
-    """Test that if an upstream revision is selected it will be used."""
-    wt = self.make_upstream_branch(parent=
-        os.path.abspath(self.upstream_parent))
-    exporter = self.get_exporter(export_prepull=True,
-                               export_revision='revid:rev1')
-    self.make_upstream_parent_no_changes()
-    exporter.export()
-    self.failUnlessExists(self.tarball)
-    expected = ['a', 'dir/', 'dir/b']
-    self.check_tarball_contents(self.tarball, expected, basedir=self.basedir,
-                                skip_basedir=True)
-
-  def test_exporter_can_select_parent_revision(self):
-    """Test that if an upstream parent revision is selected it will be used."""
-    wt = self.make_upstream_branch(parent=
-        os.path.abspath(self.upstream_parent))
-    exporter = self.get_exporter(export_prepull=True,
-                               export_revision='revid:parent1')
-    self.make_upstream_parent_changes()
-    exporter.export()
-    self.failUnlessExists(self.tarball)
-    expected = ['a', 'dir/', 'dir/b', 'c', 'parent']
-    self.check_tarball_contents(self.tarball, expected, basedir=self.basedir,
-                                skip_basedir=True)
-
-  def test_exporter_returns_true(self):
-    """Sanity check that the function returns true."""
-    wt = self.make_upstream_branch()
-    exporter = self.get_exporter()
-    self.assertEqual(exporter.export(), True)
-
 # vim: ts=2 sts=2 sw=2

=== modified file 'tests/test_config.py'
--- tests/test_config.py	2009-02-17 16:30:43 +0000
+++ tests/test_config.py	2009-02-18 18:36:18 +0000
@@ -40,7 +40,6 @@
       f.write('build-dir = default build dir\n')
       f.write('orig-dir = default orig dir\n')
       f.write('result-dir = default result dir\n')
-      f.write('export-upstream-revision = tag:upstream-$UPSTREAM_VERSION\n')
     finally:
       f.close()
     f = open('user.conf', 'wb')
@@ -81,15 +80,6 @@
   def test_no_entry(self):
     self.assertEqual(self.config.merge, False)
 
-  def test_interpolation(self):
-    self.assertEqual(self.config.export_upstream_revision, 'tag:upstream-0.1')
-    self.config.set_version(Version('0.2'))
-    self.assertEqual(self.config.export_upstream_revision, 'tag:upstream-0.2')
-    self.config.set_version(Version('0.2~bzr300'))
-    self.assertEqual(self.config.export_upstream_revision, '300')
-    self.config.set_version(Version('0.2~svn200'))
-    self.assertEqual(self.config.export_upstream_revision, 'svn:200')
-
 try:
   from bzrlib.plugins.svn.config import SubversionBuildPackageConfig
 except ImportError:

=== modified file 'user.conf'
--- user.conf	2007-01-17 21:07:14 +0000
+++ user.conf	2009-02-18 18:36:18 +0000
@@ -1,4 +1,3 @@
 [BUILDDEB]
 builder = userbuild
 result-dir = userresult
-export-upstream = userexport

